
; MIOS Pedal Box / Pedal Board - pbx_device.h v0.95
; For Pedal Box / Pedal Board v2.0
; ==========================================================================
;
;  Copyright (C) 2008  Mick Crozier mcrozier@iinet.net.au
;  Licensed for personal non-commercial use only.
;  All other rights reserved.
;
; ==========================================================================

        list    p=18f452

        ;; BankStick address range:
        ;; 32k BankStick (24LC256): 0x400000-0x407fff

ERRORLEVEL -220 ;; supress address out of range warning
ERRORLEVEL -205 ;; supress found directive warning
ERRORLEVEL -206 ;; supress found call to macro warning

radix dec ;; use decomal numbers unless specified

	;; event_map entry structure
EVENT_MAP_ENTRY MACRO event_name, status, param1, event_handler
	db	event_name, status, param1, event_handler
	ENDM

	;; value_map entry structure
VALUE_MAP_ENTRY MACRO param2_name, param2
	db	param2_name, param2
	ENDM

	;; ain_map entry structure
AIN_MAP_ENTRY MACRO bankstick, entry, low_value, high_value
	db	entry, low_value, high_value, bankstick
	ENDM

	;; din_map entry structure
DIN_MAP_ENTRY MACRO bankstick, entry, low_value, high_value, button_type
	db	entry, low_value, high_value, (button_type << 7) + bankstick
	ENDM


	;; ain_fixed entry structure
AIN_FIXED MACRO pedal1, pedal2, pedal3, pedal4, pedal5, pedal6, pedal7, pedal8
    org 0x406ff0
	db	pedal1, pedal2, pedal3, pedal4, pedal5, pedal6, pedal7, pedal8
	ENDM

	;; info entry structure
INFO MACRO device_name, channel, type
    org 0x400000
	db	device_name
	org 0x400010
	db (channel - 1), (type << 7) + 20 ;; last number represents version
	ENDM

ENTRIES MACRO entries
	db	entries
	ENDM

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Used by patch bankstick
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
PATCH_NAME MACRO patch_name
    db patch_name
    ENDM

PATCH_MAP_ENTRY MACRO enabled, bankstick, entry, low_value, high_value
    db  entry, 0x00, high_value, (enabled << 7) + bankstick
    ENDM

	;; Relays on/off
PATCH_RELAYS MACRO enabled1, relay1, enabled2, relay2, enabled3, relay3, enabled4, relay4, enabled5, relay5, enabled6, relay6, enabled7, relay7, enabled8, relay8
	db	(relay1 << 7) + (relay2 << 6) + (relay3 << 5) + (relay4 << 4) + (relay5 << 3) + (relay6 << 2) + (relay7 << 1) + relay8, (enabled1 << 7) + (enabled2 << 6) + (enabled3 << 5) + (enabled4 << 4) + (enabled5 << 3) + (enabled6 << 2) + (enabled7 << 1) + enabled8
	ENDM

SONG_LIST_NAME MACRO list_name
    db list_name
    ENDM

SONG_LIST_ENTRY MACRO entry
    db entry
    ENDM


; Event Types
#define PROGRAM_CHANGE   0
#define ON_OFF_ONLY      1
#define TAP_TEMPO        2
#define METER_ONLY       3
#define METER_OFF        4
#define METER_ON_OFF     5
#define METER_PAN        6
#define VALUE            7
#define USE_MAP_1        8
#define USE_MAP_2        9
#define USE_MAP_3        10
#define USE_MAP_4        11
#define USE_MAP_5        12
#define USE_MAP_6        13
#define USE_MAP_7        14
#define USE_MAP_8        15
#define USE_MAP_9        16
#define USE_MAP_10       17

#define SWITCH           0
#define MOMENT           1

#define OFF              0
#define ON               1

#define DEVICE           0
#define PATCH            1

#define DISABLED         0
#define ENABLED          1
