


; MIOS Pedal Box / Pedal Board - pbx_settings.asm v1.0
; For Pedal Box / Pedal Board v2.0 - January 2008
; ==========================================================================
;
;  Copyright (C) year  name  <email>
;  Licensed for personal non-commercial use only.
;  All other rights reserved.
;
; ==========================================================================

;; preload file for BankStick

#include "pbx_device.h"
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; Settings for Pedal Box / Pedal Board V2
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; DIN_default_map
 ;;
 ;; Contains the event_map entry number, and the low/high midi data to be sent
 ;;
 ;; BS  = physical bankstick of the device to control (1-7, 0 is reserved)
 ;; entry = Entry in the event_map that should be associatd. (0 - 255)
 ;; low_value = the lowest possible value (parameter 2 byte) to send (0x00 - 0x7f)
 ;; high_value = the highest possible value (parameter 2 byte) to send (0x00 - 0x7f)
 ;; type = how to handle button presses (SWITCH or MOMENT)
 ;;
 ;; With type set to SWITCH Pressing the button toggles between low and high (Switching)
 ;; With type set to MOMENT Pressing the button sets high value and releasing sets low (Momentary)
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; DIN_default_map
org 0x406900

;            BS, entry, low value, high value, type}
  ;; Fixed Buttons
  DIN_MAP_ENTRY    1, 0  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 1  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 2  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 3  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 4  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 5  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 6  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 7  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 8  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 9  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 10 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 11 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 12 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 13 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 14 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 26 , 0x00, 0x7f, SWITCH

 ;; Banked Buttons
  DIN_MAP_ENTRY    1, 128, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 129, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 130, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 131, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 132, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 133, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 134, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 135, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 136, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 137, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 138, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 139, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 140, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 141, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 142, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 143, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    1, 144, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 145, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 146, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 147, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 148, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 149, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 150, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 151, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 152, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 153, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 154, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 155, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 156, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 157, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 158, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 159, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    1, 160, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 161, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 162, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 163, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 164, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 165, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 166, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 167, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 168, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 169, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 170, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 171, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 172, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 173, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 174, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 175, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    1, 176, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 177, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 178, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 179, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 180, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 181, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 182, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 183, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 184, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 185, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 186, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 187, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 188, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 189, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 190, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 191, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    1, 192, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 193, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 194, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 195, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 196, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 197, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 198, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 199, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 200, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 201, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 202, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 203, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 204, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 205, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 206, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 207, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    1, 208, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 209, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 210, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 211, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 212, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 213, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 214, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 215, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 216, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 217, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 218, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 219, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 220, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 221, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 222, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 223, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    1, 224, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 225, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 226, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 227, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 228, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 229, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 230, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 231, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 232, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 233, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 234, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 235, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 236, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 237, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 238, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 239, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    1, 240, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 241, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 242, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 243, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 244, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 245, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 246, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 247, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 248, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 249, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 250, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 251, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 252, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 253, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 254, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 255, 0x00, 0x7f, SWITCH


 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;
 ;; AIN_default_maps (1 for each pedal input)
 ;;
 ;;
 ;; Contains the entry number, low value and high value
 ;; Each row represents the program change #
 ;;
 ;; BS   =  Bankstick of the device to control (1-7, 0 is reserved)
 ;; entry = Entry in the event_map that should be associatd.
 ;; low_value = the lowest possible value (parameter 2 byte) to send
 ;; high_value = the highest possible value (parameter 2 byte) to send
 ;;
 ;; The parameter 2 value sent will be scaled between the low and high values
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 ;; Default event_map entry numbers of inputs

; AIN_default_map_0
org 0x407000

;              BS, entry, low value, high value
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f



; AIN_default_map_1
org 0x407200

; entry, low value, high value
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f


; AIN_default_map_2
org 0x407400

; entry, low value, high value
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f


; AIN_default_map_3
org 0x407600

; entry, low value, high value
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f


; AIN_default_map_4
org 0x407800

; entry, low value, high value
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

; AIN_default_map_5
org 0x407a00

; entry, low value, high value
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f


; AIN_default_map_6
org 0x407c00

; entry, low value, high value
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f


; AIN_default_map_7
org 0x407e00

; entry, low value, high value
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f



 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;
 ;; AIN_FIXED - Pedals set 0 will change depending on the Program change #
 ;;             If set to 1, only the first entry of the relevant table is used
 ;;
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;AIN         0 1 2 3 4 5 6 7
AIN_FIXED    0,0,0,0,0,0,0,0



END


