


; MIOS Pedal Box / Pedal Board - pbx_patch_tables.asm v1.1
; For Pedal Box / Pedal Board v2.0 - January 2008
; ==========================================================================
;
;  Copyright (C) year  name  <email>
;  Licensed for personal non-commercial use only.
;  All other rights reserved.
;
; ==========================================================================

;; preload file for BankStick

#include "pbx_device.h"
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; Pedal Box / Pedal Board Patch and Cue Tables
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;       "Name = 16 Chars ", Channel (1-16), Type
INFO    "Pedal Board     ", 16, PATCH


 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; Rig Control Settings
 ;;
 ;; PATCH_NAME = Name of patch, must be 16 characters
 ;;
 ;; PATCH_MAP_EVENT_ENRTY
 ;;   Enabled = Is the event active - ENABLED or DISABLED
 ;;   BS = bankstick number of device -  1 to 7
 ;;   Evnt = entry in the event map to control -   0 to 255
 ;;   Rsvd = NOT USED / RESERVED FOR FUTURE USE
 ;;   Value = Value to send, not used for program changes
 ;;
 ;; PATCH_RELAYS
 ;;   #enabled = Is the relay to be triggered -   ENABLED or DISABLED
 ;;   # = Value the relay should be set to -   ON or OFF
 ;;:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
org 0x400020

; Patch 1

  PATCH_NAME        "Patch 1         "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 2

  PATCH_NAME        "Patch 2         "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 129, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 5  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 6  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 7  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 8  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 3

  PATCH_NAME        "Patch 3         "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 130, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 9  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 10 , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 11 , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 12 , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 4

  PATCH_NAME        "Patch 4         "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 131, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 11 , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 12 , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 13 , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 14 , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 5

  PATCH_NAME        "Patch 5         "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 132, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 15 , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 16 , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 17 , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 18 , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 6

  PATCH_NAME        "Patch 6         "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 7

  PATCH_NAME        "Patch 7         "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 8

  PATCH_NAME        "Patch 8         "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 9

  PATCH_NAME        "Patch 9         "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 10

  PATCH_NAME        "Patch 10        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 11

  PATCH_NAME        "Patch 11        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 12

  PATCH_NAME        "Patch 12        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 13

  PATCH_NAME        "Patch 13        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 14

  PATCH_NAME        "Patch 14        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 15

  PATCH_NAME        "Patch 15        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 16

  PATCH_NAME        "Patch 16        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 17

  PATCH_NAME        "Patch 17        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 18

  PATCH_NAME        "Patch 18        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 19

  PATCH_NAME        "Patch 19        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 20

  PATCH_NAME        "Patch 20        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 21

  PATCH_NAME        "Patch 21        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 22

  PATCH_NAME        "Patch 22        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 23

  PATCH_NAME        "Patch 23        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 24

  PATCH_NAME        "Patch 24        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 25

  PATCH_NAME        "Patch 25        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 26

  PATCH_NAME        "Patch 26        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 27

  PATCH_NAME        "Patch 27        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 28

  PATCH_NAME        "Patch 28        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 29

  PATCH_NAME        "Patch 29        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 30

  PATCH_NAME        "Patch 30        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 31

  PATCH_NAME        "Patch 31        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 32

  PATCH_NAME        "Patch 32        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 33

  PATCH_NAME        "Patch 33        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 34

  PATCH_NAME        "Patch 34        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 35

  PATCH_NAME        "Patch 35        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 36

  PATCH_NAME        "Patch 36        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 37

  PATCH_NAME        "Patch 37        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 38

  PATCH_NAME        "Patch 38        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 39

  PATCH_NAME        "Patch 39        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 40

  PATCH_NAME        "Patch 40        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 41

  PATCH_NAME        "Patch 41        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 42

  PATCH_NAME        "Patch 42        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 43

  PATCH_NAME        "Patch 43        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 44

  PATCH_NAME        "Patch 44        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 45

  PATCH_NAME        "Patch 45        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 46

  PATCH_NAME        "Patch 46        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 47

  PATCH_NAME        "Patch 47        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 48

  PATCH_NAME        "Patch 48        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 49

  PATCH_NAME        "Patch 49        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 50

  PATCH_NAME        "Patch 50        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 51

  PATCH_NAME        "Patch 51        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 52

  PATCH_NAME        "Patch 52        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 53

  PATCH_NAME        "Patch 53        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 54

  PATCH_NAME        "Patch 54        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 55

  PATCH_NAME        "Patch 55        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 56

  PATCH_NAME        "Patch 56        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 57

  PATCH_NAME        "Patch 57        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 58

  PATCH_NAME        "Patch 58        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 59

  PATCH_NAME        "Patch 59        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 60

  PATCH_NAME        "Patch 60        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 61

  PATCH_NAME        "Patch 61        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 62

  PATCH_NAME        "Patch 62        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 63

  PATCH_NAME        "Patch 63        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 64

  PATCH_NAME        "Patch 64        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 65

  PATCH_NAME        "Patch 65        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 66

  PATCH_NAME        "Patch 66        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 67

  PATCH_NAME        "Patch 67        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 68

  PATCH_NAME        "Patch 68        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 69

  PATCH_NAME        "Patch 69        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 70

  PATCH_NAME        "Patch 70        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 71

  PATCH_NAME        "Patch 71        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 72

  PATCH_NAME        "Patch 72        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 73

  PATCH_NAME        "Patch 73        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 74

  PATCH_NAME        "Patch 74        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 75

  PATCH_NAME        "Patch 75        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 76

  PATCH_NAME        "Patch 76        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 77

  PATCH_NAME        "Patch 77        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 78

  PATCH_NAME        "Patch 78        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 79

  PATCH_NAME        "Patch 79        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 80

  PATCH_NAME        "Patch 80        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 81

  PATCH_NAME        "Patch 81        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 82

  PATCH_NAME        "Patch 82        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 83

  PATCH_NAME        "Patch 83        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 84

  PATCH_NAME        "Patch 84        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 85

  PATCH_NAME        "Patch 85        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 86

  PATCH_NAME        "Patch 86        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 87

  PATCH_NAME        "Patch 87        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 88

  PATCH_NAME        "Patch 88        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 89

  PATCH_NAME        "Patch 89        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 90

  PATCH_NAME        "Patch 90        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 91

  PATCH_NAME        "Patch 91        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 92

  PATCH_NAME        "Patch 92        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 93

  PATCH_NAME        "Patch 93        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 94

  PATCH_NAME        "Patch 94        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 95

  PATCH_NAME        "Patch 95        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 96

  PATCH_NAME        "Patch 96        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 97

  PATCH_NAME        "Patch 97        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 98

  PATCH_NAME        "Patch 98        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 99

  PATCH_NAME        "Patch 99        "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 100

  PATCH_NAME        "Patch 100       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 101

  PATCH_NAME        "Patch 101       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 102

  PATCH_NAME        "Patch 102       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 103

  PATCH_NAME        "Patch 103       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 104

  PATCH_NAME        "Patch 104       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 105

  PATCH_NAME        "Patch 105       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 106

  PATCH_NAME        "Patch 106       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 107

  PATCH_NAME        "Patch 107       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 108

  PATCH_NAME        "Patch 108       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 109

  PATCH_NAME        "Patch 109       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 110

  PATCH_NAME        "Patch 110       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 111

  PATCH_NAME        "Patch 111       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 112

  PATCH_NAME        "Patch 112       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 113

  PATCH_NAME        "Patch 113       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 114

  PATCH_NAME        "Patch 114       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 115

  PATCH_NAME        "Patch 115       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 116

  PATCH_NAME        "Patch 116       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 117

  PATCH_NAME        "Patch 117       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 118

  PATCH_NAME        "Patch 118       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 119

  PATCH_NAME        "Patch 119       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 120

  PATCH_NAME        "Patch 120       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF


; Patch 121

  PATCH_NAME        "Patch 121       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 122

  PATCH_NAME        "Patch 122       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 123

  PATCH_NAME        "Patch 123       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 124

  PATCH_NAME        "Patch 124       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 125

  PATCH_NAME        "Patch 125       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 126

  PATCH_NAME        "Patch 126       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 127

  PATCH_NAME        "Patch 127       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF

; Patch 128

  PATCH_NAME        "Patch 128       "

;                    ENABLED , BS,Evnt,Rsvd, Value
  PATCH_MAP_ENTRY    DISABLED, 1, 1  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 2  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 3  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 4  , 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 128, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 133, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 134, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 135, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 136, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 137, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 138, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 139, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 140, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 141, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 142, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 143, 0x00, 0x7f

  PATCH_MAP_ENTRY    DISABLED, 1, 144, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 145, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 146, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 147, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 148, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 149, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 150, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 151, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 152, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 153, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 154, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 155, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 156, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 157, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 158, 0x00, 0x7f
  PATCH_MAP_ENTRY    DISABLED, 1, 159, 0x00, 0x7f


;               1enabled, 1 ,  2enabled, 2 ,  3enabled, 3 ,  4enabled, 4 ,  5enabled, 5 ,  6enabled, 6 ,  7enabled, 7 ,  8enabled, 8
  PATCH_RELAYS  DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF, DISABLED, OFF



 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; Gig Control Settings
 ;;
 ;; SONG_LIST NAME = Name of song list -   must be 16 characters
 ;;
 ;; SONG_LIST_ENTRY = Number of the Pedal Board Patch event you want to trigger -   0 - 127
 ;;
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


 ; Song List 1
 SONG_LIST_NAME   "Song List 1     "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 2
 SONG_LIST_NAME   "Song List 2     "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 3
 SONG_LIST_NAME   "Song List 3     "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 4
 SONG_LIST_NAME   "Song List 4     "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 5
 SONG_LIST_NAME   "Song List 5     "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 6
 SONG_LIST_NAME   "Song List 6     "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 7
 SONG_LIST_NAME   "Song List 7     "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 8
 SONG_LIST_NAME   "Song List 8     "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 9
 SONG_LIST_NAME   "Song List 9     "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 10
 SONG_LIST_NAME   "Song List 10    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 11
 SONG_LIST_NAME   "Song List 11    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 12
 SONG_LIST_NAME   "Song List 12    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 13
 SONG_LIST_NAME   "Song List 13    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 14
 SONG_LIST_NAME   "Song List 14    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 15
 SONG_LIST_NAME   "Song List 15    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 16
 SONG_LIST_NAME   "Song List 16    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 17
 SONG_LIST_NAME   "Song List 17    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 18
 SONG_LIST_NAME   "Song List 18    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 19
 SONG_LIST_NAME   "Song List 19    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 20
 SONG_LIST_NAME   "Song List 20    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

  ; Song List 21
 SONG_LIST_NAME   "Song List 21    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 22
 SONG_LIST_NAME   "Song List 22    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 23
 SONG_LIST_NAME   "Song List 23    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 24
 SONG_LIST_NAME   "Song List 24    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 25
 SONG_LIST_NAME   "Song List 25    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 26
 SONG_LIST_NAME   "Song List 26    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 27
 SONG_LIST_NAME   "Song List 27    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 28
 SONG_LIST_NAME   "Song List 28    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 29
 SONG_LIST_NAME   "Song List 29    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127

 ; Song List 30
 SONG_LIST_NAME   "Song List 30    "

 SONG_LIST_ENTRY  0
 SONG_LIST_ENTRY  1
 SONG_LIST_ENTRY  2
 SONG_LIST_ENTRY  3
 SONG_LIST_ENTRY  4
 SONG_LIST_ENTRY  5
 SONG_LIST_ENTRY  6
 SONG_LIST_ENTRY  7
 SONG_LIST_ENTRY  8
 SONG_LIST_ENTRY  9
 SONG_LIST_ENTRY  10
 SONG_LIST_ENTRY  11
 SONG_LIST_ENTRY  12
 SONG_LIST_ENTRY  13
 SONG_LIST_ENTRY  14
 SONG_LIST_ENTRY  15

 SONG_LIST_ENTRY  16
 SONG_LIST_ENTRY  17
 SONG_LIST_ENTRY  18
 SONG_LIST_ENTRY  19
 SONG_LIST_ENTRY  20
 SONG_LIST_ENTRY  21
 SONG_LIST_ENTRY  22
 SONG_LIST_ENTRY  23
 SONG_LIST_ENTRY  24
 SONG_LIST_ENTRY  25
 SONG_LIST_ENTRY  26
 SONG_LIST_ENTRY  27
 SONG_LIST_ENTRY  28
 SONG_LIST_ENTRY  29
 SONG_LIST_ENTRY  30
 SONG_LIST_ENTRY  31

 SONG_LIST_ENTRY  32
 SONG_LIST_ENTRY  33
 SONG_LIST_ENTRY  34
 SONG_LIST_ENTRY  35
 SONG_LIST_ENTRY  36
 SONG_LIST_ENTRY  37
 SONG_LIST_ENTRY  38
 SONG_LIST_ENTRY  39
 SONG_LIST_ENTRY  40
 SONG_LIST_ENTRY  41
 SONG_LIST_ENTRY  42
 SONG_LIST_ENTRY  43
 SONG_LIST_ENTRY  44
 SONG_LIST_ENTRY  45
 SONG_LIST_ENTRY  46
 SONG_LIST_ENTRY  47

 SONG_LIST_ENTRY  48
 SONG_LIST_ENTRY  49
 SONG_LIST_ENTRY  50
 SONG_LIST_ENTRY  51
 SONG_LIST_ENTRY  52
 SONG_LIST_ENTRY  53
 SONG_LIST_ENTRY  54
 SONG_LIST_ENTRY  55
 SONG_LIST_ENTRY  56
 SONG_LIST_ENTRY  57
 SONG_LIST_ENTRY  58
 SONG_LIST_ENTRY  59
 SONG_LIST_ENTRY  60
 SONG_LIST_ENTRY  61
 SONG_LIST_ENTRY  62
 SONG_LIST_ENTRY  63

 SONG_LIST_ENTRY  64
 SONG_LIST_ENTRY  65
 SONG_LIST_ENTRY  66
 SONG_LIST_ENTRY  67
 SONG_LIST_ENTRY  68
 SONG_LIST_ENTRY  69
 SONG_LIST_ENTRY  70
 SONG_LIST_ENTRY  71
 SONG_LIST_ENTRY  72
 SONG_LIST_ENTRY  73
 SONG_LIST_ENTRY  74
 SONG_LIST_ENTRY  75
 SONG_LIST_ENTRY  76
 SONG_LIST_ENTRY  77
 SONG_LIST_ENTRY  78
 SONG_LIST_ENTRY  79

 SONG_LIST_ENTRY  80
 SONG_LIST_ENTRY  81
 SONG_LIST_ENTRY  82
 SONG_LIST_ENTRY  83
 SONG_LIST_ENTRY  84
 SONG_LIST_ENTRY  85
 SONG_LIST_ENTRY  86
 SONG_LIST_ENTRY  87
 SONG_LIST_ENTRY  88
 SONG_LIST_ENTRY  89
 SONG_LIST_ENTRY  90
 SONG_LIST_ENTRY  91
 SONG_LIST_ENTRY  92
 SONG_LIST_ENTRY  93
 SONG_LIST_ENTRY  94
 SONG_LIST_ENTRY  95

 SONG_LIST_ENTRY  96
 SONG_LIST_ENTRY  97
 SONG_LIST_ENTRY  98
 SONG_LIST_ENTRY  99
 SONG_LIST_ENTRY  100
 SONG_LIST_ENTRY  101
 SONG_LIST_ENTRY  102
 SONG_LIST_ENTRY  103
 SONG_LIST_ENTRY  104
 SONG_LIST_ENTRY  105
 SONG_LIST_ENTRY  106
 SONG_LIST_ENTRY  107
 SONG_LIST_ENTRY  108
 SONG_LIST_ENTRY  109
 SONG_LIST_ENTRY  110
 SONG_LIST_ENTRY  111

 SONG_LIST_ENTRY  112
 SONG_LIST_ENTRY  113
 SONG_LIST_ENTRY  114
 SONG_LIST_ENTRY  115
 SONG_LIST_ENTRY  116
 SONG_LIST_ENTRY  117
 SONG_LIST_ENTRY  118
 SONG_LIST_ENTRY  119
 SONG_LIST_ENTRY  120
 SONG_LIST_ENTRY  121
 SONG_LIST_ENTRY  122
 SONG_LIST_ENTRY  123
 SONG_LIST_ENTRY  124
 SONG_LIST_ENTRY  125
 SONG_LIST_ENTRY  126
 SONG_LIST_ENTRY  127





; DIN_default_map
org 0x406900

;            BS, entry, low value, high value, type}
  ;; Fixed Buttons
  DIN_MAP_ENTRY    1, 0  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 1  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 2  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 3  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 4  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 5  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 6  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 7  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 8  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 9  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 10 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 11 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 12 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 13 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 14 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 26 , 0x00, 0x7f, SWITCH

 ;; Banked Buttons
  DIN_MAP_ENTRY    1, 128, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 129, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 130, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 131, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 132, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 133, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 134, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 135, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 136, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 137, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 138, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 139, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 140, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 141, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 142, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 143, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    1, 144, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 145, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 146, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 147, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 148, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 149, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 150, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 151, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 152, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 153, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 154, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 155, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 156, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 157, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 158, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 159, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    1, 160, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 161, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 162, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 163, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 164, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 165, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 166, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 167, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 168, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 169, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 170, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 171, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 172, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 173, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 174, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 175, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    1, 176, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 177, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 178, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 179, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 180, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 181, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 182, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 183, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 184, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 185, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 186, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 187, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 188, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 189, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 190, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 191, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    1, 192, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 193, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 194, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 195, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 196, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 197, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 198, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 199, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 200, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 201, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 202, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 203, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 204, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 205, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 206, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 207, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    1, 208, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 209, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 210, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 211, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 212, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 213, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 214, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 215, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 216, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 217, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 218, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 219, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 220, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 221, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 222, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 223, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    1, 224, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 225, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 226, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 227, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 228, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 229, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 230, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 231, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 232, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 233, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 234, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 235, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 236, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 237, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 238, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 239, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    1, 240, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 241, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 242, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 243, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 244, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 245, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 246, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 247, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 248, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 249, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 250, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 251, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 252, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 253, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 254, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1, 255, 0x00, 0x7f, SWITCH

org 0x406b40
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;
 ;; AIN_default_maps (1 for each pedal input)
 ;;
 ;;
 ;; Contains the entry number, low value and high value
 ;; Each row represents the program change #
 ;;
 ;; BS   =  Bankstick of the device to control (1-7, 0 is reserved)
 ;; entry = Entry in the event_map that should be associatd.
 ;; low_value = the lowest possible value (parameter 2 byte) to send
 ;; high_value = the highest possible value (parameter 2 byte) to send
 ;;
 ;; The parameter 2 value sent will be scaled between the low and high values
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 ;; Default event_map entry numbers of inputs

; AIN_default_map_0
org 0x407000

;              BS, entry, low value, high value
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 0  , 0x00, 0x7f



; AIN_default_map_1
org 0x407200

; entry, low value, high value
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 1  , 0x00, 0x7f


; AIN_default_map_2
org 0x407400

; entry, low value, high value
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 2  , 0x00, 0x7f


; AIN_default_map_3
org 0x407600

; entry, low value, high value
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 3  , 0x00, 0x7f


; AIN_default_map_4
org 0x407800

; entry, low value, high value
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 4  , 0x00, 0x7f

; AIN_default_map_5
org 0x407a00

; entry, low value, high value
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 5  , 0x00, 0x7f


; AIN_default_map_6
org 0x407c00

; entry, low value, high value
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 6  , 0x00, 0x7f


; AIN_default_map_7
org 0x407e00

; entry, low value, high value
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f
  AIN_MAP_ENTRY    1, 7  , 0x00, 0x7f



 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;
 ;; AIN_FIXED - Pedals set 0 will change depending on the Program change #
 ;;             If set to 1, only the first entry of the relevant table is used
 ;;
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;AIN         0 1 2 3 4 5 6 7
AIN_FIXED    0,0,0,0,0,0,0,0
END


